[arch-commits] Commit in at-spi2-core/repos/gnome-unstable-x86_64 (3 files)

Jan Steffens heftig at archlinux.org
Wed Sep 5 19:16:14 UTC 2018


    Date: Wednesday, September 5, 2018 @ 19:16:14
  Author: heftig
Revision: 333532

archrelease: copy trunk to gnome-unstable-x86_64

Added:
  at-spi2-core/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 333531, at-spi2-core/trunk/PKGBUILD)
  at-spi2-core/repos/gnome-unstable-x86_64/fallback.diff
    (from rev 333531, at-spi2-core/trunk/fallback.diff)
Deleted:
  at-spi2-core/repos/gnome-unstable-x86_64/PKGBUILD

---------------+
 PKGBUILD      |   92 +++++++++++++++++++++++++++++---------------------------
 fallback.diff |   27 ++++++++++++++++
 2 files changed, 76 insertions(+), 43 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-09-05 19:15:43 UTC (rev 333531)
+++ PKGBUILD	2018-09-05 19:16:14 UTC (rev 333532)
@@ -1,43 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=at-spi2-core
-pkgver=2.30.0
-pkgrel=1
-pkgdesc="Protocol definitions and daemon for D-Bus at-spi"
-url="https://gitlab.gnome.org/GNOME/at-spi2-core"
-arch=(x86_64)
-license=(GPL2)
-depends=(dbus glib2 libxtst)
-makedepends=(intltool gobject-introspection git gtk-doc meson)
-_commit=2f3b23bb626e91aa321f06374ff66a709c323430  # tags/AT_SPI2_CORE_2_30_0^0
-source=("git+https://gitlab.gnome.org/GNOME/at-spi2-core.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^AT_SPI2_CORE_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  arch-meson $pkgname build \
-    -D dbus_broker=/usr/bin/dbus-broker-launch \
-    -D default_bus=dbus-broker \
-    -D enable_docs=true
-  ninja -C build
-}
-
-check() {
-  # memory test fails without desktop
-  dbus-run-session meson test -C build || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}
-
-# vim:set ts=2 sw=2 et:

Copied: at-spi2-core/repos/gnome-unstable-x86_64/PKGBUILD (from rev 333531, at-spi2-core/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-09-05 19:16:14 UTC (rev 333532)
@@ -0,0 +1,49 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=at-spi2-core
+pkgver=2.30.0
+pkgrel=2
+pkgdesc="Protocol definitions and daemon for D-Bus at-spi"
+url="https://gitlab.gnome.org/GNOME/at-spi2-core"
+arch=(x86_64)
+license=(GPL2)
+depends=(dbus glib2 libxtst)
+makedepends=(intltool gobject-introspection git gtk-doc meson dbus-broker)
+optdepends=('dbus-broker: Alternative bus implementation')
+_commit=2f3b23bb626e91aa321f06374ff66a709c323430  # tags/AT_SPI2_CORE_2_30_0^0
+source=("git+https://gitlab.gnome.org/GNOME/at-spi2-core.git#commit=$_commit"
+        fallback.diff)
+sha256sums=('SKIP'
+            'e2254af6fe94a42402544dc9fd0f322318d2809be01ef1e9e944388f2aa3cad7')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^AT_SPI2_CORE_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  # Try to unbreak fallback
+  patch -Np1 -i ../fallback.diff
+}
+
+build() {
+  arch-meson $pkgname build \
+    -D default_bus=dbus-broker \
+    -D enable_docs=true
+  ninja -C build
+}
+
+check() {
+  # memory test fails without desktop
+  # broker fails to launch without journald
+  dbus-run-session meson test -C build || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}
+
+# vim:set ts=2 sw=2 et:

Copied: at-spi2-core/repos/gnome-unstable-x86_64/fallback.diff (from rev 333531, at-spi2-core/trunk/fallback.diff)
===================================================================
--- fallback.diff	                        (rev 0)
+++ fallback.diff	2018-09-05 19:16:14 UTC (rev 333532)
@@ -0,0 +1,27 @@
+ bus/at-spi-bus-launcher.c | 6 +++++-
+ 1 file changed, 5 insertions(+), 1 deletion(-)
+
+diff --git c/bus/at-spi-bus-launcher.c i/bus/at-spi-bus-launcher.c
+index 5d58dff..994a767 100644
+--- c/bus/at-spi-bus-launcher.c
++++ i/bus/at-spi-bus-launcher.c
+@@ -293,7 +293,9 @@ ensure_a11y_bus_daemon (A11yBusLauncher *app, char *config_path)
+ 
+   if (pipe (app->pipefd) < 0)
+     g_error ("Failed to create pipe: %s", strerror (errno));
+-  
++
++  g_clear_pointer (&app->a11y_launch_error_message, g_free);
++
+   if (!g_spawn_async (NULL,
+                       argv,
+                       NULL,
+@@ -389,6 +391,8 @@ ensure_a11y_bus_broker (A11yBusLauncher *app, char *config_path)
+   if (listen (app->listenfd, 1024) < 0)
+     g_error ("Failed to listen on socket: %s", strerror(errno));
+ 
++  g_clear_pointer (&app->a11y_launch_error_message, g_free);
++
+   if (!g_spawn_async (NULL,
+                       argv,
+                       NULL,



More information about the arch-commits mailing list